'use strict';

(function ($, Drupal, once) {

  Drupal.behaviors.image_background_formatter = {
    attach: function (context, settings) {

      $(once('once-id-img-background-formatter', '.image-background-formatter')).each(function () {
        const bg = $(this).data('bg');
        if (bg !== '' && $(this).css('background-image') === 'none') {
          $(this).css({
            'background-image': 'url(' + bg + ')'
          });
        }
      });
    }
  };

})(jQuery, Drupal, once);
